
package com.tmerclub.cloud.common.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 代销设置表VO
 *
 * @author lhd
 * @date 2022-06-22 17:09:12
 */
public class ShopSubstituteSalesVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "代销设置id")
    private Long shopSubstituteSalesId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "代销设置类型 0.智能设价 1.手动设价")
    private Integer salesType;

    @Schema(description = "默认加价比例 0.按比例加价 1.按固定数值加价")
    private Integer salesPriceType;

    @Schema(description = "采购价大于商家收入金额时，0.直接转换为待采购订单（默认选中）,1.通过商家已结算金额扣除差价")
    private Integer orderShape;

    @Schema(description = "默认加价比例为0时，代表百分比*100，为1时代表实际奖励金额*100")
    private Long salesPrice;

    @Schema(description = "操作人id")
    private Long modifier;

    @Schema(description = "代销设置类型为1才有:供货价高于代销价时是否自动下架：1.是，0.否")
    private Integer automaticOff;

    public Integer getAutomaticOff() {
        return automaticOff;
    }

    public void setAutomaticOff(Integer automaticOff) {
        this.automaticOff = automaticOff;
    }

    public Integer getOrderShape() {
        return orderShape;
    }

    public void setOrderShape(Integer orderShape) {
        this.orderShape = orderShape;
    }

    public Long getShopSubstituteSalesId() {
        return shopSubstituteSalesId;
    }

    public void setShopSubstituteSalesId(Long shopSubstituteSalesId) {
        this.shopSubstituteSalesId = shopSubstituteSalesId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getSalesType() {
        return salesType;
    }

    public void setSalesType(Integer salesType) {
        this.salesType = salesType;
    }

    public Integer getSalesPriceType() {
        return salesPriceType;
    }

    public void setSalesPriceType(Integer salesPriceType) {
        this.salesPriceType = salesPriceType;
    }

    public Long getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(Long salesPrice) {
        this.salesPrice = salesPrice;
    }

    public Long getModifier() {
        return modifier;
    }

    public void setModifier(Long modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "ShopSubstituteSalesVO{" +
                "shopSubstituteSalesId=" + shopSubstituteSalesId +
                ", shopId=" + shopId +
                ", salesType=" + salesType +
                ", salesPriceType=" + salesPriceType +
                ", orderShape=" + orderShape +
                ", salesPrice=" + salesPrice +
                ", modifier=" + modifier +
                ", automaticOff=" + automaticOff +
                '}';
    }
}
